Bug 16851

Summary: Move HasOverdues to Koha::Patron->has_overdues
Product: Koha Reporter: Jonathan Druart <jonathan.druart+koha>
Component: Architecture, internals, and plumbingAssignee: Jonathan Druart <jonathan.druart+koha>
Status: CLOSED FIXED QA Contact: Testopia <testopia>
Severity: enhancement    
Priority: P5 - low CC: kyle
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Small patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
Bug Depends on: 16849    
Bug Blocks: 16846, 16850    
Attachments: Bug 16851: Move HasOverdues to Koha::Patron->has_overdues
Bug 16851: Move HasOverdues to Koha::Patron->has_overdues
Bug 16851: Move HasOverdues to Koha::Patron->has_overdues
[SIGNED-OFF] Bug 16851: Move HasOverdues to Koha::Patron->has_overdues
Bug 16851: Move HasOverdues to Koha::Patron->has_overdues
Bug 16851 [QA Followup] - Fix Unit Tests
Bug 16851 [QA Followup] - Fix Unit Tests

Description Jonathan Druart 2016-07-04 16:37:00 UTC

    
Comment 1 Jonathan Druart 2016-07-04 17:00:53 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-07-11 16:21:27 UTC
I'm getting an error when opening the circulation or patron detail pages for a patron:

Template process failed: plugin error - Global symbol "$borrower" requires explicit package name at Koha/Template/Plugin/Borrowers.pm line 57.
Compilation failed in require at /usr/lib/x86_64-linux-gnu/perl5/5.20/Template/Plugins.pm line 206.
Comment 3 Jonathan Druart 2016-07-12 17:40:44 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-07-12 17:41:17 UTC
(In reply to Owen Leonard from comment #2)
> I'm getting an error when opening the circulation or patron detail pages for
> a patron:
> 
> Template process failed: plugin error - Global symbol "$borrower" requires
> explicit package name at Koha/Template/Plugin/Borrowers.pm line 57.
> Compilation failed in require at
> /usr/lib/x86_64-linux-gnu/perl5/5.20/Template/Plugins.pm line 206.

Sorry about that Owen! Silly c/p error...
Comment 5 Owen Leonard 2016-07-18 12:23:51 UTC
Applying: Bug 16851: Move HasOverdues to Koha::Patron->has_overdues
fatal: sha1 information is lacking or useless (C4/Circulation.pm).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 16851: Move HasOverdues to Koha::Patron->has_overdues
Comment 6 Jonathan Druart 2016-07-20 13:42:40 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2016-07-20 13:44:26 UTC
Conflicts with bug 16853 fixed.
Comment 8 Owen Leonard 2016-08-04 16:01:57 UTC Comment hidden (obsolete)
Comment 9 Tomás Cohen Arazi 2016-09-05 17:25:33 UTC
Created attachment 55190 [details] [review]
Bug 16851: Move HasOverdues to Koha::Patron->has_overdues

This patch just move C4::Members::HasOverdues to
Koha::Patron->has_overdues and updated callers

Test plan:
No change in behavior is expected.
1/ If a patron is debarred and does not have overdues and
AutoRemoveOverduesRestrictions is on, the debarment will be removed on
checkin
2/ Add overdues and make sure the patron cannot renew

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 10 Kyle M Hall 2016-09-09 11:20:53 UTC Comment hidden (obsolete)
Comment 11 Kyle M Hall 2016-09-09 11:21:44 UTC
Created attachment 55426 [details] [review]
Bug 16851 [QA Followup] - Fix Unit Tests
Comment 12 Kyle M Hall 2016-09-09 11:27:04 UTC
Pushed to master for 16.11, thanks Jonathan!